---
title: llarp::vpn::LinuxRouteManager::_inet_addr

---

# llarp::vpn::LinuxRouteManager::_inet_addr





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[_inet_addr](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1__inet__addr.md#function--inet-addr)**(net::ipv4addr_t addr, size_t bits =32) |
| | **[_inet_addr](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1__inet__addr.md#function--inet-addr)**(net::ipv6addr_t addr, size_t bits =128) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| unsigned char | **[family](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1__inet__addr.md#variable-family)**  |
| unsigned char | **[bitlen](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1__inet__addr.md#variable-bitlen)**  |
| unsigned char | **[data](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1__inet__addr.md#variable-data)**  |

## Public Functions Documentation

### function _inet_addr

```cpp
inline _inet_addr(
    net::ipv4addr_t addr,
    size_t bits =32
)
```


### function _inet_addr

```cpp
inline _inet_addr(
    net::ipv6addr_t addr,
    size_t bits =128
)
```


## Public Attributes Documentation

### variable family

```cpp
unsigned char family;
```


### variable bitlen

```cpp
unsigned char bitlen;
```


### variable data

```cpp
unsigned char data;
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000